Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158610 - regression traceback when starting GUI
Summary: regression traceback when starting GUI
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-23 22:47 UTC by Corey Marthaler
Modified: 2009-04-16 20:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-24 19:10:24 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-05-23 22:47:49 UTC
Description of problem:
I can't get the -54 or -55 GUIs to start. :(

[root@tank-02 tmp]# system-config-cluster
Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 539, in ?
    runFullGUI()
  File "/usr/sbin/system-config-cluster", line 521, in runFullGUI
    baseapp = basecluster(glade_xml, app)
  File "/usr/sbin/system-config-cluster", line 129, in __init__
    self.model_builder = ModelBuilder(1, CLUSTER_CONF_PATH)
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 134, in __init__
    self.resolve_references()
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 298, in
resolve_references
    resource_children = self.resourcemanager_ptr.getChildren()
AttributeError: 'NoneType' object has no attribute 'getChildren'


the cman cluster is up:

[root@tank-02 tmp]# cat /proc/cluster/nodes
Node  Votes Exp Sts  Name
   1    1    5   M   tank-01
   2    1    5   M   tank-04
   3    1    5   M   tank-02
   4    1    5   M   tank-03
   5    1    5   M   tank-05

Comment 1 Jim Parsons 2005-05-24 05:19:12 UTC
This is an inntteresting corner case -- that happened when there was no <rm> tag
set in the xml file. I guess we just never have exercised this before. Anyway,
this is fixed in 0.9.56, but there is currently an error with the distdev cvs
server - hopefully I can finish this build early tomorroww (Tuesday) Morning.

I will start mucking with the conf file in an atttempt to turn up any similar
cases to this.

Comment 2 Corey Marthaler 2005-05-24 19:10:24 UTC
fix verified in -57.


Note You need to log in before you can comment on or make changes to this bug.